Welcome!

1-abc.net File Replacer
Exchange as many files as you want with just one click!

The Windows-integrated file manager called Windows Explorer offers multiple options to cut, to copy and to paste files. Anyway, whenever you try to overwrite single files that are located in many different folders you first have to find them by your own and then paste a source file you copied before.

This can take much time, and since the number of files on big hard drives grows all the time, most Windows users are not able to manage their file system good enough to do such replacements correctly. In the end documents, images, songs and videos with the same or similar content in different versions are spread all over your hard drive and even you by yourself will not know where the right one is, or the biggest one or the latest one.

1-abc.net File Replacer helps you to update your whole hard drive, USB stick, camera card or network. You add a path or paths where the program should check for possible replacements, you add a source file or source files and then you determine by your own when such a batch replacing shall be done. Besides same file names you can define such files as ones with same creation date, earlier file access than the source file, smaller file size than the source file and much more.

A replacing report is written to a history file automatically to let you see what files were exchanged. And if you think that you want to do file replacements with the same options again, you can load and save replacement projects, define current settings as default or let the program start automatically from time to time.

Updating your file system by exchanging files can be very complicated. With 1-abc.net File Replacer this is just one click and you can save so much time for more important things in life!

Feature Overview:

  • Very easy-to-use interface
  • Program can also read from and write to SD cards, USB sticks, external drives etc.
  • Add as many folders as you want where the program should replace files
  • Add as many files as you want as source files that are used to overwrite the old ones
  • Define what files are worth overwriting concerning file size, file dates and much more
  • Check later what you replaced with the history function
  • Print out your history file on your local printer or via network
  • Load and save replacement projects
  • Configurable exceptions list for files and folders excluded from replacing
  • Replaced files can be copied to a backup folder before replacing
  • Backup folder can be determined by the user
  • Configurable locations for exceptions file and history file
  • Binary Mode to exchange characters in files directly
  • Program can also be installed on USB sticks, camera cards or nearly all other re-writable media
  • Very low system resources required

For Windows® XP / Vista / 7 / 8
Chief Developer & Documentation: Stefan Siegert
Copyright 2005-2014 1-abc.net


Before you start working with this program …

Windows Explorer itself does not offer such a comfortable file replacing feature as this program does. Maybe the developers once decided not to integrate it because of the possible damages users can cause on their systems without thinking what they do before. So please, before you start any file replacements, double-check if you really added the correct file as source file and if all options are configured to exchange files correctly. For security reasons a file will not be replaced when it is tagged as 'read only'. Additionally, all files that are exchanged are deleted to the recycle bin before they are replaced so you should be able to reverse such things if necessary. You can also set the check mark for 'Copy files to replace to backup folder' in the 'Options' screen. A backup folder will be created then (located in 'My Documents' by default, you can modify this folder from the options screen) where all these files will be copied to first before they will be replaced.

For exchangings in Binary Mode, the unmodified files are moved to Recycle Bin automatically.

The 1-abc.net team wishes you much fun with this product!


Using the Main Screen

To work with 1-abc.net File Replacer is very easy. Here you can see how the main screen looks:

Before you start any replacing work you have to add one or more folders to the upper list control. These are the folders where you want to do the replacements which can be on your local hard drive as well as on complete drives, USB sticks, camera cards, network folders or floppy disks. Use the buttons 'Add Folder' or 'Remove Folder' to fill or empty your folders list.

The second thing you have to do is adding a source file or different source files. These will be the files that are used for replacing. Whenever the program will find a file with the same file name and that matches the other settings you made it will use this one to overwrite the found one with it. Use the buttons 'Add File' or 'Remove File' to fill or empty your file list.

If you want you can configure more options now. By default, the program only replaces files with the same creation date where last changes were done earlier which should be the most common kind of replacing. Anyway, sometimes it could make sense to replace only smaller files, only hidden files or whatever, so please create your own replacement options as you need them.

By clicking on 'Binary Mode' the interface will change and will look like this then:

This mode works similar to the normal one, but was created to exchange words and caracters in *.txt files, *.csv databases, *.html code and other files that can be opened in Notepad. While the file list remains the same, you have to define exchanging rules in the upper part. If you like to exchange all expressions 'Copyright 2005-2013' with the expression 'Copyright 2005-2014' for example, simply define your rule this way and add the files you want to modify. This is a very nice feature, but please use it with highest caution because it could also destroy your files - if you would just exchange one sign by another with an image file for example.

By clicking on 'More Options' you will get access to some additional settings. This is the dialog that will be opened then:

Here you can configure the timer to let the program start automatically from time to time, here you can decide if you want to see full paths or shorter versions in the files and folders lists and you can turn on or turn off the history feature here as well. If you want to see a confirmation message before a file is replaced, you can set the check mark here. Here you can also decide if you want to see the Windows default copy animation when a file is replaced. For using the backup feature additionally to the Windows Recycle Bin where your replaced files will be moved to, you can activate that option in this screen too. The automatically defined backup folder can be changed with the 'Browse' button.

On the left side of the options screen there is an exception list. If it makes sense to your needs to exclude any files or folders from the replacing process like special sub-folders while you do replacing in a folder of any higher level, just add such files and folders to the list by using buttons 'Add File' or 'Add Folder'. To edit the exception list in Notepad directly, please click 'Edit'.

At the bottom of the Options screen you can select the locations for the exception file and the history file. At the first program start, these folders will be determined automatically, here you can change them by clicking the 'Browse' buttons.

When everything is done up to here, please click 'Start File Replacing now!'. You will have to wait some time until everything is done, then a short summary will be displayed. You can always cancel such a replacing process by clicking 'Cancel'.


Menu

File

Open Project
Open a project file you previously saved with this program.

Save Projext as ...
When you want to get the same settings as you made them now later again you can save all current settings in a project file. Please select a path and enter a file name.

Set Current Project as default
If you think that you want to have the same settings as you made them now next time you open the program please use this option.

Language Selection
If you like to see the program in another language, check this feature to switch it. If your language is missing and you like to translate it, please send us an e-mail to translations@1-abc.net to get more information about it.

Exit
Select this option to leave the program.

Functions

Here you can open the Options screen where you can modify the program behaviour.
Whenever this program replaced any file the report was extended so you can review here what was replaced.

Show histoy file
Whenever this program replaced any file the report was extended so you can review here what was replaced.

Print histoy file
Use this option to print out your history file on a local printer or via network. You have to select a printer first, then printing process is executed.

Delete history file
When the history file became too long and you don't want to see the old entries anymore use this item to delete it.

Register

Get free Trial Key
From the first time you installed this program it runs 10 days for free. You can extend this trial period to 30 days easily when you register for a free trial key. Make sure that you are online. The key will be sent to you by e-mail.

Buy Full Version now
Click here to purchase the product online. You will be connected to an online shop where you have multiple payment options, after your payment is done, the full version key will be sent to you immediately.

Enter Key
When you have a trial key or a full version key you can enter it here to change the behaviour of the program. You should re-start the program after entering the key.

Help

Show Help File
Brings you to this help file. Whether you clicked there to read it now or you pressed “F1” which would be the other way to get it displayed.

Go to 1-abc.net Website
Visit the webpage of 1-abc.net. You will find more information about this product and other software there. Make sure that you are online.

About
Copyright information about this product.


About 1-abc.net …

1-abc.net software is a young and dynamic company, founded 2005, consisting of ambitious and highly experienced developers, marketing experts, distributors, designers, translaters and product managers. The head office is located in Germany, employees and freelancers are working from offices in seven countries all over the world.

1-abc.net's business activities include software development, software distribution and IT consulting. Meanwhile more than Windows tools and utilities are available. And this is what users get:

  • Small setup files that can be downloaded even using slow internet connections
  • Easy installation processes, uninstaller is always included
  • No adware, spyware, popups or whatever extends software nowadays
  • Very easy to handle program interfaces
  • Software that really fulfils the customers’ needs – nothing more, but also nothing less
  • Fast possibility to extend the trial period by obtaining a free registration key
  • Users can also buy 1-abc.net software on CD instead of downloading
Additionally, more and more distribution companies worldwide sell 1-abc.net software as boxes or through other channels licensed under their own label. 1-abc.net Android™ apps for mobile devices, Windows Store Apps and mobile apps for Firefox OS are available from the website http://mobile.1-abc.net.

Support

1-abc.net
Grünenstr. 120
28199 Bremen

Germany

Unfortunately we currently offer NO telephone support, please take a look at this website to find out more or to contact us via e-mail:

http://1-abc.net/support.htm